Returns a list of the organization document types. The legacy version of this endpoint can be found at samsara.com/api-legacy.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Documents under the Driver Workflow category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/fleet/document-types \
--header 'Authorization: Bearer <token>'{
"data": [
{
"conditionalFieldSections": [
{
"conditionalFieldFirstIndex": 1,
"conditionalFieldLastIndex": 2,
"triggeringFieldIndex": 0,
"triggeringFieldValue": "Yes"
}
],
"fieldTypes": [
{
"fieldType": "multipleChoice",
"label": "Was there damage?",
"multipleChoiceFieldTypeMetaData": [
{
"label": "Yes"
},
{
"label": "No"
}
],
"requiredField": true
},
{
"fieldType": "photo",
"label": "Damage Photos",
"requiredField": false
},
{
"fieldType": "number",
"label": "Number of vehicles impacted",
"numberFieldTypeMetaData": {
"numberOfDecimalPlaces": 2
},
"requiredField": false
},
{
"fieldType": "dateTime",
"label": "Date and time",
"requiredField": true
},
{
"fieldType": "signature",
"label": "Sign",
"requiredField": true,
"signatureFieldTypeMetaData": {
"legalText": "Legal Text"
}
}
],
"id": "4aff772c-a7bb-45e6-8e41-6a53e34feb83",
"name": "Accident Report",
"orgId": 12345
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
OK response.
List of all document types for the organization
Show child attributes
[
{
"conditionalFieldSections": [
{
"conditionalFieldFirstIndex": 1,
"conditionalFieldLastIndex": 2,
"triggeringFieldIndex": 0,
"triggeringFieldValue": "Yes"
}
],
"fieldTypes": [
{
"fieldType": "multipleChoice",
"label": "Was there damage?",
"multipleChoiceFieldTypeMetaData": [{ "label": "Yes" }, { "label": "No" }],
"requiredField": true
},
{
"fieldType": "photo",
"label": "Damage Photos",
"requiredField": false
},
{
"fieldType": "number",
"label": "Number of vehicles impacted",
"numberFieldTypeMetaData": { "numberOfDecimalPlaces": 2 },
"requiredField": false
},
{
"fieldType": "dateTime",
"label": "Date and time",
"requiredField": true
},
{
"fieldType": "signature",
"label": "Sign",
"requiredField": true,
"signatureFieldTypeMetaData": { "legalText": "Legal Text" }
}
],
"id": "4aff772c-a7bb-45e6-8e41-6a53e34feb83",
"name": "Accident Report",
"orgId": 12345
}
]Pagination parameters.
Show child attributes
curl --request GET \
--url https://api.samsara.com/fleet/document-types \
--header 'Authorization: Bearer <token>'{
"data": [
{
"conditionalFieldSections": [
{
"conditionalFieldFirstIndex": 1,
"conditionalFieldLastIndex": 2,
"triggeringFieldIndex": 0,
"triggeringFieldValue": "Yes"
}
],
"fieldTypes": [
{
"fieldType": "multipleChoice",
"label": "Was there damage?",
"multipleChoiceFieldTypeMetaData": [
{
"label": "Yes"
},
{
"label": "No"
}
],
"requiredField": true
},
{
"fieldType": "photo",
"label": "Damage Photos",
"requiredField": false
},
{
"fieldType": "number",
"label": "Number of vehicles impacted",
"numberFieldTypeMetaData": {
"numberOfDecimalPlaces": 2
},
"requiredField": false
},
{
"fieldType": "dateTime",
"label": "Date and time",
"requiredField": true
},
{
"fieldType": "signature",
"label": "Sign",
"requiredField": true,
"signatureFieldTypeMetaData": {
"legalText": "Legal Text"
}
}
],
"id": "4aff772c-a7bb-45e6-8e41-6a53e34feb83",
"name": "Accident Report",
"orgId": 12345
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}